Package org.zkoss.bind.impl

## Class FormImpl

- java.lang.Object
- - org.zkoss.bind.impl.FormImpl

- All Implemented Interfaces:
    `java.io.Serializable`, `Form`, `FormLegacy`, `FormLegacyExt`
  Direct Known Subclasses:
    `SimpleForm`

      @Deprecated
      public class FormImpl
      extends java.lang.Object
      implements FormLegacy, FormLegacyExt, java.io.Serializable

  Deprecated.
  As of release 9.5.0, please use `Form`
  For compatibility only.
  Since:
    9.5.0
  Author:
    Leon
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FormImpl()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addLoadFieldName​(java.lang.String fieldName)` | Deprecated. Add a field name for loading from this Form.
    `void` | `addSaveFieldName​(java.lang.String fieldName)` | Deprecated. Add a field name for saving into this Form.
    `java.lang.Object` | `getField​(java.lang.String field)` | Deprecated. Returns the associated value of the specified field name.
    `java.util.Set<java.lang.String>` | `getFieldNames()` | Deprecated. Returns all field names that this FormLegacy bean is care about for both read and load.
    `FormStatus` | `getFormStatus()` | Deprecated. Returns the status object of this form
    `java.util.Set<java.lang.String>` | `getLoadFieldNames()` | Deprecated. Returns all field names that this Form bean is care about for loading value from the real bean.
    `java.util.Set<java.lang.String>` | `getSaveFieldNames()` | Deprecated. Returns all those field name that this Form bean is care about for saving value into the real bean.
    `FormStatus` | `getStatus()` | Deprecated.
    `boolean` | `isDirty()` | Deprecated. Returns whether the form has been modified (Any field is different from those of loadBean)
    `void` | `resetDirty()` | Deprecated. Reset the dirty data, reload initValue value from field
    `void` | `setField​(java.lang.String field, java.lang.Object value)` | Deprecated. Sets the associated value of the specified field name.
    `java.lang.String` | `toString()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FormImpl

          public FormImpl()

      Deprecated.

  - ### Method Detail

    - #### getFormStatus

          public FormStatus getFormStatus()

      Deprecated.
      Description copied from interface: `Form`
      Returns the status object of this form
      Specified by:
        `getFormStatus` in interface `Form`

    - #### setField

          public void setField​(java.lang.String field,
                               java.lang.Object value)

      Deprecated.
      Description copied from interface: `FormLegacy`
      Sets the associated value of the specified field name.
      Specified by:
        `setField` in interface `FormLegacy`
      Parameters:
        `field` - field name
        `value` - the associated value

    - #### resetDirty

          public void resetDirty()

      Deprecated.
      Description copied from interface: `FormLegacyExt`
      Reset the dirty data, reload initValue value from field
      Specified by:
        `resetDirty` in interface `FormLegacyExt`

    - #### getField

          public java.lang.Object getField​(java.lang.String field)

      Deprecated.
      Description copied from interface: `FormLegacy`
      Returns the associated value of the specified field name.
      Specified by:
        `getField` in interface `FormLegacy`
      Parameters:
        `field` - field name
      Returns:
        the associated value

    - #### getLoadFieldNames

          public java.util.Set<java.lang.String> getLoadFieldNames()

      Deprecated.
      Description copied from interface: `FormLegacyExt`
      Returns all field names that this Form bean is care about for loading value from the real bean.
      Specified by:
        `getLoadFieldNames` in interface `FormLegacyExt`
      Returns:
        all field names that this Form bean is care about for loading value from the real bean.

    - #### getSaveFieldNames

          public java.util.Set<java.lang.String> getSaveFieldNames()

      Deprecated.
      Description copied from interface: `FormLegacyExt`
      Returns all those field name that this Form bean is care about for saving value into the real bean.
      Specified by:
        `getSaveFieldNames` in interface `FormLegacyExt`
      Returns:
        all those field name that this Form bean is care about for saving value into the real bean.

    - #### getFieldNames

          public java.util.Set<java.lang.String> getFieldNames()

      Deprecated.
      Description copied from interface: `FormLegacy`
      Returns all field names that this FormLegacy bean is care about for both read and load.
      Specified by:
        `getFieldNames` in interface `FormLegacy`
      Returns:
        all field names that this FormLegacy bean is care about.

    - #### isDirty

          public boolean isDirty()

      Deprecated.
      Description copied from interface: `FormLegacy`
      Returns whether the form has been modified (Any field is different from those of loadBean)
      Specified by:
        `isDirty` in interface `FormLegacy`
      Returns:
        whether the form has been modified.

    - #### getStatus

          public FormStatus getStatus()

      Deprecated.
      Specified by:
        `getStatus` in interface `FormLegacyExt`
      Returns:
        the status object of this form

    - #### addLoadFieldName

          public void addLoadFieldName​(java.lang.String fieldName)

      Deprecated.
      Description copied from interface: `FormLegacyExt`
      Add a field name for loading from this Form.
      Specified by:
        `addLoadFieldName` in interface `FormLegacyExt`
      Parameters:
        `fieldName` - field name to be loaded from.

    - #### addSaveFieldName

          public void addSaveFieldName​(java.lang.String fieldName)

      Deprecated.
      Description copied from interface: `FormLegacyExt`
      Add a field name for saving into this Form.
      Specified by:
        `addSaveFieldName` in interface `FormLegacyExt`
      Parameters:
        `fieldName` - field name to be saved into.

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`